enter_password_on_mouse_scene03_safe = {}

enter_password_on_mouse_scene03_safe.params =
{
	image_number_prefix = "scene03_mini_minigame01_number",
	password = {6, 2, 9, 2},
	answer_pos = sf.misc.FloatVector(65.0, 49.0),
	answer_insets = 6,
	
	sound_on_click = "mini_game_enter_password_on_mouse_button_push_01",
	
	sleep = 500.0 -- пауза перед сбрособ в случае неправильного ввода / пауза перед закрытием в случае правильного ввода
}

enter_password_on_mouse_scene03_phone = {}

enter_password_on_mouse_scene03_phone.params =
{
	image_number_prefix = "scene03_mini_minigame02_number",
	password = {6, 4, 1, 9, 6, 4, 0},
	answer_pos = sf.misc.FloatVector(70.0, 67.0),
	answer_insets = 7,
	
	sound_on_click = "mini_game_enter_password_on_mouse_button_push_03",
	
	sleep = 500.0 -- пауза перед сбрособ в случае неправильного ввода / пауза перед закрытием в случае правильного ввода
}

enter_password_on_mouse_scene03_safe.Init = function(_owner)
	enter_password_on_mouse.params = enter_password_on_mouse_scene03_safe.params
	enter_password_on_mouse.Init(_owner)
end

enter_password_on_mouse_scene03_phone.Init = function(_owner)
	enter_password_on_mouse.params = enter_password_on_mouse_scene03_phone.params
	enter_password_on_mouse.Init(_owner)
end

for p,v in pairs(enter_password_on_mouse) do
	if not enter_password_on_mouse_scene03_phone[p] then enter_password_on_mouse_scene03_phone[p] = v end
	if not enter_password_on_mouse_scene03_safe[p] then enter_password_on_mouse_scene03_safe[p] = v end
end
